%global dlrn_nvr ansible-role-tripleo-modify-image-1.5.1.dev2-2.20230211110508.b6eedb6
%global dlrn 1
%define upstream_version 1.5.1.dev2
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global srcname ansible_role_tripleo_modify_image
%global rolename ansible-role-tripleo-modify-image

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.5.1
Release: 2.20230211110508.b6eedb6%{?dist}
Summary:        Ansible role to allow modification to container images built for the TripleO project.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-tripleo-modify-image
Source0: ansible-role-tripleo-modify-image-1.5.1.dev2-2.20230211110508.b6eedb6.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=b6eedb6fb194ec32b92866257131714e02bae741

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2 || 0%{?rhel} > 7
Requires:       ansible
%else
Requires:       ansible-python3
%endif


Requires: buildah

%description

Ansible role to allow modification to container images built for the TripleO project.

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Sat Feb 11 2023 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20230211110508.b6eedb6
- Update patches
- Ensure update_yum.sh has correct SELinux labels
- Moves the shared zuul queue to the project level

* Thu Aug 04 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20220804180742.aaa89b2
- Update patches
- Add some notes about SELinux and limitations

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20220713004854.c9831b5
- Update patches
- Disable setup.py auto discovery

* Tue Feb 15 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-2.20220216015327.30d23d5
- Update patches

* Tue Feb 15 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-2.20220216011415.30d23d5
- Update patches
- Move zuul jobs layout to centos9 only for master branch

* Tue Feb 15 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-2.20220215085637.8360ef2
- Update patches
- Move zuul jobs layout to centos9 only for master branch

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.3-2.20210821004809.0b9fdcc
- Update patches
- Remove config of container_build_tool

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.3-2.20210810231058.81ca6b4
- Update patches
- Remove docker modules from the role

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.3-2.20210727224811.e4c84ad
- Update patches
- Extract updated rpms from buildah images

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.3-2.20210601001841.b304c89
- Update patches
- Only mount /etc/{{ pkg_mgr_suffix }}/vars if it exists

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.2-2.20210527213013.2c53d70
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.2-2.20210513021132.2c53d70
- Update patches
- Use dnf/yum vars based on what is available
- Mount yum/vars along with yum repos

* Fri Apr 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.2-2.20210424005747.38691f5
- Update patches
- Fix git lookup

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Migrate to content provider jobs/templates

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Port jobs from centos7 to centos8

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- rpm_install: return 0 if package was already installed

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Add retries on image pull ahead of updating

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Fix become and remote_src when modifying an image

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Add double quotes around the printf statements in yum_update.sh

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Ensure the yum cache has at most one writer

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Force docker format

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Force docker format (rhbz#1793960)



